Folks.PresenceType – folks Reference Manual

# PresenceType

## Description:

public enum PresenceType

The possible presence states an object implementing PresenceDetails could be in.

These closely follow the SimplePresence interface in the Telepathy specification.

Namespace: Folks
Package: folks

## Content:

### Enum values:

- AVAILABLE - available
- AWAY - away from keyboard
- BUSY - at keyboard, but too busy to chat
- ERROR - an error occurred with fetching the presence
- EXTENDED_AWAY - away from keyboard for an extended period of time
- HIDDEN - also known as "invisible" or "appear offline"
- OFFLINE - offline
- UNKNOWN - presence not received from server
- UNSET - never set